TimeSeriesResourceApi (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger

## Class TimeSeriesResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.TimeSeriesResourceApi

-     public class TimeSeriesResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeSeriesResourceApi()`
    `TimeSeriesResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClient` | `getApiClient()`
    `ApiTimeSeriesEntityAttributeList` | `getEntityTypeAttributes()` Retrieve all metric entity type attributes monitored by Cloudera Manager.
    `com.squareup.okhttp.Call` | `getEntityTypeAttributesAsync(ApiCallback<ApiTimeSeriesEntityAttributeList> callback)` Retrieve all metric entity type attributes monitored by Cloudera Manager.
    `com.squareup.okhttp.Call` | `getEntityTypeAttributesCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getEntityTypeAttributes
    `ApiResponse<ApiTimeSeriesEntityAttributeList>` | `getEntityTypeAttributesWithHttpInfo()` Retrieve all metric entity type attributes monitored by Cloudera Manager.
    `ApiTimeSeriesEntityTypeList` | `getEntityTypes()` Retrieve all metric entity types monitored by Cloudera Manager.
    `com.squareup.okhttp.Call` | `getEntityTypesAsync(ApiCallback<ApiTimeSeriesEntityTypeList> callback)` Retrieve all metric entity types monitored by Cloudera Manager.
    `com.squareup.okhttp.Call` | `getEntityTypesCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getEntityTypes
    `ApiResponse<ApiTimeSeriesEntityTypeList>` | `getEntityTypesWithHttpInfo()` Retrieve all metric entity types monitored by Cloudera Manager.
    `ApiMetricSchemaList` | `getMetricSchema()` Retrieve schema for all metrics.
    `com.squareup.okhttp.Call` | `getMetricSchemaAsync(ApiCallback<ApiMetricSchemaList> callback)` Retrieve schema for all metrics.
    `com.squareup.okhttp.Call` | `getMetricSchemaCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getMetricSchema
    `ApiResponse<ApiMetricSchemaList>` | `getMetricSchemaWithHttpInfo()` Retrieve schema for all metrics.
    `ApiTimeSeriesResponseList` | `queryTimeSeries_0(ApiTimeSeriesRequest body)` Retrieve time-series data from the Cloudera Manager (CM) time-series data store accepting HTTP POST request.
    `com.squareup.okhttp.Call` | `queryTimeSeries_0Async(ApiTimeSeriesRequest body, ApiCallback<ApiTimeSeriesResponseList> callback)` Retrieve time-series data from the Cloudera Manager (CM) time-series data store accepting HTTP POST request.
    `com.squareup.okhttp.Call` | `queryTimeSeries_0Call(ApiTimeSeriesRequest body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for queryTimeSeries_0
    `ApiResponse<ApiTimeSeriesResponseList>` | `queryTimeSeries_0WithHttpInfo(ApiTimeSeriesRequest body)` Retrieve time-series data from the Cloudera Manager (CM) time-series data store accepting HTTP POST request.
    `ApiTimeSeriesResponseList` | `queryTimeSeries(String contentType, String desiredRollup, String from, Boolean mustUseDesiredRollup, String query, String to)` Retrieve time-series data from the Cloudera Manager (CM) time-series data store using a tsquery.
    `com.squareup.okhttp.Call` | `queryTimeSeriesAsync(String contentType, String desiredRollup, String from, Boolean mustUseDesiredRollup, String query, String to, ApiCallback<ApiTimeSeriesResponseList> callback)` Retrieve time-series data from the Cloudera Manager (CM) time-series data store using a tsquery.
    `com.squareup.okhttp.Call` | `queryTimeSeriesCall(String contentType, String desiredRollup, String from, Boolean mustUseDesiredRollup, String query, String to, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for queryTimeSeries
    `ApiResponse<ApiTimeSeriesResponseList>` | `queryTimeSeriesWithHttpInfo(String contentType, String desiredRollup, String from, Boolean mustUseDesiredRollup, String query, String to)` Retrieve time-series data from the Cloudera Manager (CM) time-series data store using a tsquery.
    `void` | `setApiClient(ApiClient apiClient)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeSeriesResourceApi

          public TimeSeriesResourceApi()

    - #### TimeSeriesResourceApi

          public TimeSeriesResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### getEntityTypeAttributesCall

          public com.squareup.okhttp.Call getEntityTypeAttributesCall(ProgressResponseBody.ProgressListener progressListener,
                                                                      ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                               throws ApiException

      Build call for getEntityTypeAttributes
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getEntityTypeAttributes

          public ApiTimeSeriesEntityAttributeList getEntityTypeAttributes()
                                                                   throws ApiException

      Retrieve all metric entity type attributes monitored by Cloudera Manager. Retrieve all metric entity type attributes monitored by Cloudera Manager. <p/> Available since API v11.
      Returns:
        ApiTimeSeriesEntityAttributeList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getEntityTypeAttributesWithHttpInfo

          public ApiResponse<ApiTimeSeriesEntityAttributeList> getEntityTypeAttributesWithHttpInfo()
                                                                                            throws ApiException

      Retrieve all metric entity type attributes monitored by Cloudera Manager. Retrieve all metric entity type attributes monitored by Cloudera Manager. <p/> Available since API v11.
      Returns:
        ApiResponse<ApiTimeSeriesEntityAttributeList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getEntityTypeAttributesAsync

          public com.squareup.okhttp.Call getEntityTypeAttributesAsync(ApiCallback<ApiTimeSeriesEntityAttributeList> callback)
                                                                throws ApiException

      Retrieve all metric entity type attributes monitored by Cloudera Manager. (asynchronously) Retrieve all metric entity type attributes monitored by Cloudera Manager. <p/> Available since API v11.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getEntityTypesCall

          public com.squareup.okhttp.Call getEntityTypesCall(ProgressResponseBody.ProgressListener progressListener,
                                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                      throws ApiException

      Build call for getEntityTypes
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getEntityTypes

          public ApiTimeSeriesEntityTypeList getEntityTypes()
                                                     throws ApiException

      Retrieve all metric entity types monitored by Cloudera Manager. Retrieve all metric entity types monitored by Cloudera Manager. It is guaranteed that parent types appear before their children. <p/> Available since API v11.
      Returns:
        ApiTimeSeriesEntityTypeList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getEntityTypesWithHttpInfo

          public ApiResponse<ApiTimeSeriesEntityTypeList> getEntityTypesWithHttpInfo()
                                                                              throws ApiException

      Retrieve all metric entity types monitored by Cloudera Manager. Retrieve all metric entity types monitored by Cloudera Manager. It is guaranteed that parent types appear before their children. <p/> Available since API v11.
      Returns:
        ApiResponse<ApiTimeSeriesEntityTypeList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getEntityTypesAsync

          public com.squareup.okhttp.Call getEntityTypesAsync(ApiCallback<ApiTimeSeriesEntityTypeList> callback)
                                                       throws ApiException

      Retrieve all metric entity types monitored by Cloudera Manager. (asynchronously) Retrieve all metric entity types monitored by Cloudera Manager. It is guaranteed that parent types appear before their children. <p/> Available since API v11.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getMetricSchemaCall

          public com.squareup.okhttp.Call getMetricSchemaCall(ProgressResponseBody.ProgressListener progressListener,
                                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                       throws ApiException

      Build call for getMetricSchema
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getMetricSchema

          public ApiMetricSchemaList getMetricSchema()
                                              throws ApiException

      Retrieve schema for all metrics. Retrieve schema for all metrics <p/> The schema is fixed for a product version. The schema may change for an API versions <p/> Available since API v4.
      Returns:
        ApiMetricSchemaList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getMetricSchemaWithHttpInfo

          public ApiResponse<ApiMetricSchemaList> getMetricSchemaWithHttpInfo()
                                                                       throws ApiException

      Retrieve schema for all metrics. Retrieve schema for all metrics <p/> The schema is fixed for a product version. The schema may change for an API versions <p/> Available since API v4.
      Returns:
        ApiResponse<ApiMetricSchemaList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getMetricSchemaAsync

          public com.squareup.okhttp.Call getMetricSchemaAsync(ApiCallback<ApiMetricSchemaList> callback)
                                                        throws ApiException

      Retrieve schema for all metrics. (asynchronously) Retrieve schema for all metrics <p/> The schema is fixed for a product version. The schema may change for an API versions <p/> Available since API v4.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### queryTimeSeriesCall

          public com.squareup.okhttp.Call queryTimeSeriesCall(String contentType,
                                                              String desiredRollup,
                                                              String from,
                                                              Boolean mustUseDesiredRollup,
                                                              String query,
                                                              String to,
                                                              ProgressResponseBody.ProgressListener progressListener,
                                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                       throws ApiException

      Build call for queryTimeSeries
      Parameters:
        `contentType` - to return the response in. The content types \"application/json\" and \"text/csv\" are supported. This defaults to \"application/json\". If \"text/csv\" is specified then we return one row per time series data point, and we don't return any of the metadata. (optional, default to application/json)
        `desiredRollup` - Aggregate rollup level desired for the response data. Valid values are RAW, TEN_MINUTELY, HOURLY, SIX_HOURLY, DAILY, and WEEKLY. Note that if the mustUseDesiredRollup parameter is not set, then the monitoring server can decide to return a different rollup level. (optional, default to RAW)
        `from` - Start of the period to query in ISO 8601 format (defaults to 5 minutes before the end of the period). (optional)
        `mustUseDesiredRollup` - If set then the tsquery will return data with the desired aggregate rollup level. (optional, default to false)
        `query` - Tsquery to run against the CM time-series data store. (optional)
        `to` - End of the period to query in ISO 8601 format (defaults to current time). (optional, default to now)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### queryTimeSeries

          public ApiTimeSeriesResponseList queryTimeSeries(String contentType,
                                                           String desiredRollup,
                                                           String from,
                                                           Boolean mustUseDesiredRollup,
                                                           String query,
                                                           String to)
                                                    throws ApiException

      Retrieve time-series data from the Cloudera Manager (CM) time-series data store using a tsquery. Retrieve time-series data from the Cloudera Manager (CM) time-series data store using a tsquery. Please see the <a href=\"https://docs.cloudera.com/r/cm_tsquery\"> tsquery language documentation</a>. <p/> Available since API v6.
      Parameters:
        `contentType` - to return the response in. The content types \"application/json\" and \"text/csv\" are supported. This defaults to \"application/json\". If \"text/csv\" is specified then we return one row per time series data point, and we don't return any of the metadata. (optional, default to application/json)
        `desiredRollup` - Aggregate rollup level desired for the response data. Valid values are RAW, TEN_MINUTELY, HOURLY, SIX_HOURLY, DAILY, and WEEKLY. Note that if the mustUseDesiredRollup parameter is not set, then the monitoring server can decide to return a different rollup level. (optional, default to RAW)
        `from` - Start of the period to query in ISO 8601 format (defaults to 5 minutes before the end of the period). (optional)
        `mustUseDesiredRollup` - If set then the tsquery will return data with the desired aggregate rollup level. (optional, default to false)
        `query` - Tsquery to run against the CM time-series data store. (optional)
        `to` - End of the period to query in ISO 8601 format (defaults to current time). (optional, default to now)
      Returns:
        ApiTimeSeriesResponseList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### queryTimeSeriesWithHttpInfo

          public ApiResponse<ApiTimeSeriesResponseList> queryTimeSeriesWithHttpInfo(String contentType,
                                                                                    String desiredRollup,
                                                                                    String from,
                                                                                    Boolean mustUseDesiredRollup,
                                                                                    String query,
                                                                                    String to)
                                                                             throws ApiException

      Retrieve time-series data from the Cloudera Manager (CM) time-series data store using a tsquery. Retrieve time-series data from the Cloudera Manager (CM) time-series data store using a tsquery. Please see the <a href=\"https://docs.cloudera.com/r/cm_tsquery\"> tsquery language documentation</a>. <p/> Available since API v6.
      Parameters:
        `contentType` - to return the response in. The content types \"application/json\" and \"text/csv\" are supported. This defaults to \"application/json\". If \"text/csv\" is specified then we return one row per time series data point, and we don't return any of the metadata. (optional, default to application/json)
        `desiredRollup` - Aggregate rollup level desired for the response data. Valid values are RAW, TEN_MINUTELY, HOURLY, SIX_HOURLY, DAILY, and WEEKLY. Note that if the mustUseDesiredRollup parameter is not set, then the monitoring server can decide to return a different rollup level. (optional, default to RAW)
        `from` - Start of the period to query in ISO 8601 format (defaults to 5 minutes before the end of the period). (optional)
        `mustUseDesiredRollup` - If set then the tsquery will return data with the desired aggregate rollup level. (optional, default to false)
        `query` - Tsquery to run against the CM time-series data store. (optional)
        `to` - End of the period to query in ISO 8601 format (defaults to current time). (optional, default to now)
      Returns:
        ApiResponse<ApiTimeSeriesResponseList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### queryTimeSeriesAsync

          public com.squareup.okhttp.Call queryTimeSeriesAsync(String contentType,
                                                               String desiredRollup,
                                                               String from,
                                                               Boolean mustUseDesiredRollup,
                                                               String query,
                                                               String to,
                                                               ApiCallback<ApiTimeSeriesResponseList> callback)
                                                        throws ApiException

      Retrieve time-series data from the Cloudera Manager (CM) time-series data store using a tsquery. (asynchronously) Retrieve time-series data from the Cloudera Manager (CM) time-series data store using a tsquery. Please see the <a href=\"https://docs.cloudera.com/r/cm_tsquery\"> tsquery language documentation</a>. <p/> Available since API v6.
      Parameters:
        `contentType` - to return the response in. The content types \"application/json\" and \"text/csv\" are supported. This defaults to \"application/json\". If \"text/csv\" is specified then we return one row per time series data point, and we don't return any of the metadata. (optional, default to application/json)
        `desiredRollup` - Aggregate rollup level desired for the response data. Valid values are RAW, TEN_MINUTELY, HOURLY, SIX_HOURLY, DAILY, and WEEKLY. Note that if the mustUseDesiredRollup parameter is not set, then the monitoring server can decide to return a different rollup level. (optional, default to RAW)
        `from` - Start of the period to query in ISO 8601 format (defaults to 5 minutes before the end of the period). (optional)
        `mustUseDesiredRollup` - If set then the tsquery will return data with the desired aggregate rollup level. (optional, default to false)
        `query` - Tsquery to run against the CM time-series data store. (optional)
        `to` - End of the period to query in ISO 8601 format (defaults to current time). (optional, default to now)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### queryTimeSeries_0Call

          public com.squareup.okhttp.Call queryTimeSeries_0Call(ApiTimeSeriesRequest body,
                                                                ProgressResponseBody.ProgressListener progressListener,
                                                                ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                         throws ApiException

      Build call for queryTimeSeries_0
      Parameters:
        `body` - Request object containing information used when retrieving timeseries data. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### queryTimeSeries_0

          public ApiTimeSeriesResponseList queryTimeSeries_0(ApiTimeSeriesRequest body)
                                                      throws ApiException

      Retrieve time-series data from the Cloudera Manager (CM) time-series data store accepting HTTP POST request. Retrieve time-series data from the Cloudera Manager (CM) time-series data store accepting HTTP POST request. This method differs from queryTimeSeries() in v6 that this could accept query strings that are longer than HTTP GET request limit. Available since API v11.
      Parameters:
        `body` - Request object containing information used when retrieving timeseries data. (optional)
      Returns:
        ApiTimeSeriesResponseList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### queryTimeSeries_0WithHttpInfo

          public ApiResponse<ApiTimeSeriesResponseList> queryTimeSeries_0WithHttpInfo(ApiTimeSeriesRequest body)
                                                                               throws ApiException

      Retrieve time-series data from the Cloudera Manager (CM) time-series data store accepting HTTP POST request. Retrieve time-series data from the Cloudera Manager (CM) time-series data store accepting HTTP POST request. This method differs from queryTimeSeries() in v6 that this could accept query strings that are longer than HTTP GET request limit. Available since API v11.
      Parameters:
        `body` - Request object containing information used when retrieving timeseries data. (optional)
      Returns:
        ApiResponse<ApiTimeSeriesResponseList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### queryTimeSeries_0Async

          public com.squareup.okhttp.Call queryTimeSeries_0Async(ApiTimeSeriesRequest body,
                                                                 ApiCallback<ApiTimeSeriesResponseList> callback)
                                                          throws ApiException

      Retrieve time-series data from the Cloudera Manager (CM) time-series data store accepting HTTP POST request. (asynchronously) Retrieve time-series data from the Cloudera Manager (CM) time-series data store accepting HTTP POST request. This method differs from queryTimeSeries() in v6 that this could accept query strings that are longer than HTTP GET request limit. Available since API v11.
      Parameters:
        `body` - Request object containing information used when retrieving timeseries data. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2022. All rights reserved.